Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Skills

Update a skill

POST /skills/{name}

Modifies the specified skill's configuration.

Parámetros de la ruta de acceso

name string requerido

The name of the skill to update.

Parámetros de encabezado

Foundry-Features enum requerido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Content-Type: application/json
default_version string requerido

The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
id string requerido

The unique identifier of the skill.

name string requerido

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

description string requerido

A human-readable description of the skill.

created_at integer requerido
default_version string requerido

The default version for the skill. Can be changed via updateSkill.

latest_version string requerido

The latest version for the skill.

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /skills/{name} HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026